( cd usr/lib ; rm -rf libgladeui-1.so.7 )
( cd usr/lib ; ln -sf libgladeui-1.so.7.0.3 libgladeui-1.so.7 )
( cd usr/lib ; rm -rf libgladeui-1.so )
( cd usr/lib ; ln -sf libgladeui-1.so.7.0.3 libgladeui-1.so )

if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
    rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q --ignore-theme-index usr/share/icons/hicolor
